server:
  port: 8082
  servlet:
    context-path: /costAccount
spring:
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://47.96.149.190:3306/cost_account?useUnicode=true&characterEncoding=UTF-8&serverTimezone=Asia/Shanghai
    username: root
    password: xywl2021!
    hikari:
      maximum-pool-size: 15
      minimum-idle: 5
      idle-timeout: 300000
      connection-timeout: 300000
      max-lifetime: 180000
      auto-commit: true
      connection-test-query: SELECT 1
  application:
    name: kcim-cost
  cloud:
    nacos: #注册nacos
      discovery:
        service: ${spring.application.name}
        server-addr: 120.27.235.181:8848
#        group: prod
#        namespace: 1814ad0c-58c5-4de8-a786-6f12aee361cd
        namespace: 060cc0fe-193f-4a94-bbca-6d48a4f95ac2
        group: dev
        # sentinel:
        # enabled: true
        # transport:
        # port: 8719
        # dashboard: 172.20.218.233:8080
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  #    default-property-inclusion: non_null
  #redis
  redis:
    port: 6379
    host: 47.96.149.190
    password: xywl2021!
    jedis:
      pool:
        max-active: 30
        max-idle: 10
        max-wait: -1
        min-idle: 0
    database: 1
  servlet:
    multipart:
      max-file-size: 10MB
      max-request-size: 20MB
mybatis-plus:
  mapper-locations: classpath*:/mapper/*.xml
  type-aliases-package: com.kcim.model
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    db-config:
      id-type: auto
      logic-not-delete-value: 0
      logic-delete-value: UNIX_TIMESTAMP(NOW()) * 1000
    banner: false
    enable-sql-runner: true

#日志
# log config
logging:

  #  config: classpath:log4j2.xml
  level:
    io.swagger.models.parameters.AbstractSerializableParameter: error
    org.springframework.web: error
    org.hibernate.SQL: debug
    org.hibernate.engine.QueryParameters: debug
    org.hibernate.engine.query.HQLQueryPlan: debug
    org.hibernate.type.descriptor.sql.BasicBinder: trace
####本地文件相关配置

sa-token:
  jwt-secret-key: kcim-oauth
  #  kcim-oauth
  ## 前后端分离不设置会有奇怪的问题
  ## 默认采用的获取token 是从请求头默认名称为Sa-token的地方获取，如果没有会从Cookie中获取，会造成奇怪的问题！！
  token-name: token
  is-read-cookie: false
  is-read-body: false
  ##token 有效期 默认30天，到期强制登录
  timeout: 2592000
  ## 30分钟无操作就失效 不适用
  activity-timeout: 1800
  # 配置 Sa-Token 单独使用的 Redis 连接
  alone-redis:
    # Redis数据库索引（默认为0） 先固定2，后续有钱开另外的单独的db
    database: 1
    # Redis服务器地址
    host: 47.96.149.190
    # Redis服务器连接端口
    port: 6379
    # Redis服务器连接密码（默认为空）
    password: xywl2021!
    # 连接超时时间
    timeout: 10s


  is-log: false
minio:
  url: http://47.97.198.219:9000
  port: 9000
  access-key: UOxpxcO0loqZqKzH
  secret-key: KfHhDLRWL0PtaWW0JTXqz6Gn685P2EWY
  bucket-name: kcim-cost